package com.hzs.member.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.base.CuMemberTeam;
import com.hzs.common.domain.member.ext.CuMemberTeamExt;

import java.util.List;

/**
 * 隶属团队 服务类
 */
public interface ICuMemberTeamService extends IService<CuMemberTeam> {

    /**
     * 隶属团队列表
     **/
    List<CuMemberTeamExt> queryCuMemberTeam(CuMemberTeamExt cuMemberTeamExt);

    /*
     *  根据会员主键获得所属团队
     **/
    CuMemberTeamExt getCuMemberTeamById(Long pkMember);

    /**
     * 根据国家查询隶属团队
     **/
    List<CuMemberTeamExt> queryCuMemberTeam(Integer pkCountry);

    /**
     * 根据体系id 查询是否有团队占用该体系
     *
     * @param pkVertex
     * @return
     */
    Boolean checkVertex(Integer pkVertex);

    /*
     *  更新体系下的团队
     **/
    Boolean updateCuMemberTeamByVertex(Long pkTeamCode);

}
